SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   Oracle Database Vendors:   Oracle
Oracle Database Multiple Flaws Let Remote Authenticated Users Access Data, Partially Modify Data, Gain Elevated Privileges, and Deny Service
SecurityTracker Alert ID:  1031572
SecurityTracker URL:  http://securitytracker.com/id/1031572
CVE Reference:   CVE-2014-6514, CVE-2014-6541, CVE-2014-6567, CVE-2014-6577, CVE-2014-6578, CVE-2015-0370, CVE-2015-0371, CVE-2015-0373   (Links to External Site)
Date:  Jan 20 2015
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 11.1.0.7, 11.2.0.3, 11.2.0.4, 12.1.0.1, 12.1.0.2
Description:   Multiple vulnerabilities were reported in Oracle Database. A remote authenticated user can gain elevated privileges on the target system. A remote authenticated user can access data and partially modify data on the target system. A remote authenticated user can cause denial of service conditions.

A remote authenticated user can exploit a flaw in the Core RDBMS component to gain elevated privileges [CVE-2014-6567].

A remote authenticated user can exploit a flaw in the XML Developer's Kit for C component to access data [CVE-2014-6577].

A remote authenticated user can exploit a flaw in the OJVM component to partially access data, partially modify data, and partially deny service [CVE-2015-0373].

A remote authenticated user can exploit a flaw in the Workspace Manager component to partially access data, partially modify data, and partially deny service [CVE-2014-6578].

A remote authenticated user can exploit a flaw in the Recovery component to access data [CVE-2014-6541].

A remote authenticated user can exploit a flaw in the Core RDBMS component to partially modify data and cause partial denial of service conditions [CVE-2015-0371].

A remote authenticated user can exploit a flaw in the PL/SQL component to partially access data [CVE-2014-6514].

A remote authenticated user can exploit a flaw in the Core RDBMS component to partially modify data [CVE-2015-0370].

The following researchers reported these and other Oracle vulnerabilities:

Abdullah Erdem; Adam Willard of Foreground Security; Amir Sohail; Arjun V; Avik Sarkar; Ayoub Nait Lamine; Ben Khlifa Fahmi; Cameron Crowley; Christian Galeone;
Gaurav Mishra; Gopal Bisht; Gurjant Singh Sadhra; Karthik E C; Koutrouss Naddara; M.Asim Shahzad; Mohammed Osman; Monendra Sahu; Mousab Elhag; Muhammad Sarmad Shafiq; Rakesh Singh of Zero Day Guys; Sandeep Venkatesan; Sky_BlaCk; Sreehari; Srikanth Y; and Yann CAM.

Impact:   A remote authenticated user can gain elevated privileges on the target system.

A remote authenticated user can access data on the target system.

A remote authenticated user can partially modify data on the target system.

A remote authenticated user can cause denial of service conditions.

Solution:   The vendor has issued a fix as part of the Oracle Critical Patch Update Advisory - January 2015.

The vendor's advisory is available at:

http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html

Vendor URL:  www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), UNIX (Tru64), Windows (2003), Windows (2008), Windows (2012)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC